/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "TransparentWidget.h"

#include <QLineEdit>
#include <QPaintEvent>
#include <QPixmap>
#include <QResizeEvent>

class AskPassQt  : public TRANSPARENCY::TransparentWidget
{
    Q_OBJECT

    public:

    //! constructor
    AskPassQt( QWidget* parent = 0 );

    protected:

    //! paint
    virtual void paintEvent( QPaintEvent* );

    //! resize
    virtual void resizeEvent( QResizeEvent* );

    //! mouse press event [overloaded]
    virtual void mousePressEvent( QMouseEvent* );

    //! mouse press event [overloaded]
    virtual void mouseReleaseEvent( QMouseEvent *);

    //! mouse move event [overloaded]
    virtual void mouseMoveEvent( QMouseEvent* );

    private Q_SLOTS:

    //! accept pass phrase
    void accept( void );

    //! cancel pass phrase selection
    void cancel( void );

    private:

    //! paint to device
    void _paint( QPaintDevice&, QRect ) const;

    //! current pressed button
    void _setButton( Qt::MouseButton button )
    { button_ = button; }

    //! current pressed button
    Qt::MouseButton _button( void ) const
    { return button_; }

    //! editor
    QLineEdit* editor_;

    //! status
    int status_;

    //! button
    Qt::MouseButton button_;

    //! click position
    QPoint clickPosition_;

};
